Error restore backup DB

In this board you can talk about general questions about phpMyFAQ

Moderator: Thorsten

Post Reply
dmmario
Posts: 8
Joined: Thu Nov 12, 2020 4:37 pm

Error restore backup DB

Post by dmmario » Mon Nov 30, 2020 9:54 am

Hi.

I have a problem importing the database from version 2.9.3 to the latest release. When I import backup it gives me error "This does not seem to be a backup of phpMyFAQ. (Version check failure:" - pmf2.9 "found," - pmf3.0 "expected)"

how do i solve? I can't import everything manually because I have so many users and faqs and it would be hard work.

thanks a lot

Thorsten
Posts: 15150
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Error restore backup DB

Post by Thorsten » Mon Nov 30, 2020 1:10 pm

Hi,

you can't import a 2.9 backup into 3.0 as the database structure changed.

Please follow the upgrade path from the documentation and use the update script to update your 2.9 installation to 3.0

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

dmmario
Posts: 8
Joined: Thu Nov 12, 2020 4:37 pm

Re: Error restore backup DB

Post by dmmario » Wed Dec 02, 2020 9:32 am

ok. thanks

Post Reply